package com.ruoyi.ehsEnterprise.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 企业基本信息对象 ehs_enterprise
 *
 * @author ruoyi
 * @date 2023-12-08
 */
@Data
@ToString
@NoArgsConstructor
@Accessors(chain = true)
@TableName("ehs_enterprise")
public class EhsEnterprise extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    @TableId(type= IdType.AUTO)
    private Long enterpriseId;

    /** 社会信用代码 */
    @Excel(name = "社会信用代码")
    private String enterpriseCode;

    /** 名称 */
    @Excel(name = "名称")
    private String enterpriseName;

    /** 行业 */
    @Excel(name = "行业", dictType = "enterprise_type")
    private String enterpriseType;

    /** 生产经营地址 */
    @Excel(name = "生产经营地址")
    private String enterpriseAddr;

    /** 企业负责人 */
    @Excel(name = "企业负责人")
    private String enterpriseLeader;

    /** 企业负责人电话 */
    @Excel(name = "企业负责人电话")
    private String leaderTel;

    /** 注册资本 */
    @Excel(name = "注册资本")
    private String registeredCapital;

    /** 营业执照核定的经营范围 */
    @Excel(name = "营业执照核定的经营范围")
    private String businessScope;

    /** 企业实际从事的经营项目 */
    @Excel(name = "企业实际从事的经营项目")
    private String businessProjects;

    /** 企业现状（0停业、1正常经营） */
    @Excel(name = "企业现状", readConverterExp = "0=停业、1正常经营")
    private String enterpriseStatus;

    /** 分管安全副职姓名 */
    @Excel(name = "分管安全副职姓名")
    private String safetyManagerName;

    /** 分管安全副职电话 */
    @Excel(name = "分管安全副职电话")
    private String safetyManagerTel;

    @Excel(name = "行政区域")
    private String areaId;
    @Excel(name = "经济类型")
    private String economicType;
    @Excel(name = "企业规模")
    private String enterpriseScale;
}
