package com.ruoyi.ehsLawEnforce.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ehsLawEnforce.domain.EhsLawEnforcement;
import com.ruoyi.ehsLawEnforce.domain.LawEnforceImportTemplate;

/**
 * 行政执法台账Service接口
 *
 * @author ruoyi
 * @date 2023-12-13
 */
public interface IEhsLawEnforcementService extends IService<EhsLawEnforcement> {

    /**
     * 查询行政执法台账
     *
     * @param id 行政执法台账主键
     * @return 行政执法台账
     */
    public EhsLawEnforcement selectEhsLawEnforcementById(Long id);

    /**
     * 查询行政执法台账列表
     *
     * @param ehsLawEnforcement 行政执法台账
     * @return 行政执法台账集合
     */
    public List<EhsLawEnforcement> selectEhsLawEnforcementList(EhsLawEnforcement ehsLawEnforcement);

    /**
     * 批量导入模板数据
     *
     * @param list          模板中用户输入的数据
     * @param updateSupport
     * @param params        这里是classFirst的值
     * @return
     */
    public String importData(List<LawEnforceImportTemplate> list, Boolean updateSupport, Long params) throws Exception;
}
